Subject: Re: [lisp] Proposing "Encapsulation Format" LCAF type
From: Dino Farinacci <[email-masked]>
To: Darrel Lewis <[email-masked]>
Cc: LISP mailing list list <[email-masked]>
Date: Thu, 13 Nov 2014 14:10:07 -0800
List-Id: List for the discussion of the Locator/ID Separation Protocol <lisp.ietf.org>

> I think this is a good idea, but I believe that flags are the wrong way to encode this information, as the number is surely going to grow over time.  For instance, an (8 bit?) field managed by an IANA registry seems more clear, and appropriate.

I thought about making it more general but I really don't want to encourage more encapsulations. This situation of having so many data-planes is certainly not a feature but really a uncoordinated bug. And I hope the market will allow this problem to converge to LESS data-planes and not more.

> Also, encoding the capabilities is only one aspect, I believe we need to indicate the preference of the decapsulator, as there could be performance variations - or even sub-capabilities (like LSBs) that are or are not supported.

That creates more combinations and more things for network operators to deal with. This is not a policy parameter or a traffic engineering feature, this is just so multiple vendors can interoperate. This allows encapsulators to know if they can even talk to the decapsulator. This allows L2 and L3 overlays to use one control-plane (the LISP mapping database).

Dino

> 
> -Darrel
> On Nov 13, 2014, at 12:45 PM, Dino Farinacci <[email-masked]> wrote:
> 
>> I've been having discussions with various people and there is a rough concensus that if the LISP mapping system can aid in helping encapsulators know what encapsulation formats a decapsulator supports, we will get better interoperability in the face of the myriad of overlay data-planes that are being proposed in the IETF.
>> 
>> Here is the section that was added to the LCAF draft:
>> 
>> 
>> 
>> 
>> Proposed -07 and html diff also enclosed.
>> 
>> Dino
>> 
>> 
>> 
>> 
>> 
>> _______________________________________________
>> lisp mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/lisp
>> <draft-ietf-lisp-lcaf-07.txt><rfcdiff-lisp-lcaf-06-to-07.html>
>